import 'package:flutter/material.dart';

class InfoColumn extends StatelessWidget {
  final int factoryCount;
  final int scopeCount;
  final int singletonCount;

  final bool usageFactory;
  final bool usageScope;
  final bool usageSingleton;

  const InfoColumn(
      {Key key,
      this.factoryCount,
      this.scopeCount,
      this.singletonCount,
      this.usageFactory,
      this.usageScope,
      this.usageSingleton})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      children: <Widget>[
        Text('factoryCount: $factoryCount'),
        Text('scopeCount: $scopeCount'),
        Text('singletonCount: $singletonCount'),
        SizedBox(
          height: 16.0,
        ),
        Text('usageFactory: $usageFactory'),
        Text('usageScope: $usageScope'),
        Text('usageSingleton: $usageSingleton'),
      ],
    );
  }
}
